Bug 1472350 - systemd presets request - pmcd.service pmlogger.service pmie.service
systemd presets request - pmcd.service pmlogger.service pmie.service
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-18 10:09 EDT by Lukas Berk
Modified: 2018-01-02 09:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-01-02 09:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lukas Berk 2017-07-18 10:09:20 EDT
* Does the service require post-rpm-installation configuration in order to be useful (for example, does it need manual edits to a configuration file)?
No human interaction is required post-rpm.  pmlogger will simply verify the metrics available locally for correctness and generate a configuration matching the sanity check.

* Does the service listen on a network socket for connections originating on a separate physical or virtual machine?
Both pmcd and pmlogger can be configured to do so.  However, for the purpose of this bugzilla and being enabled upon install, the default will be configured for with no listening on network sockets (adjustable later by the end-user if desired).

* Is the service non-persistent (i.e. run once at startup and exit)?

* What is the exact name (or names) of the systemd unit files to be enabled?

* Is this request for all Fedora deliverables or only for some Editions (list them)?

Comment 1 Stephen Gallagher 2017-07-18 10:20:56 EDT
Pull-request submitted for Rawhide/F27:

Comment 2 Stephen Gallagher 2017-07-19 08:01:03 EDT
Pull-request was merged for Rawhide: https://pagure.io/fedora-release/c/01024d92dfc35cf4f4a5142409426e4d692aa88e?branch=master
Comment 3 Jan Kurik 2017-08-15 05:07:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.